// io.h

// Header file for curses-style io on PC

#ifdef MSDOS
#define print(x)	printf("%s",x)
#define io_printw(f,a)	if (!start_up) {sprintf(xxtemp,f,a); newprint(xxtemp);}

#define IO_REVERSE	0x70	/* io_type == 0x70 for reverse video */
#define IO_NORMAL	0x07	/* io_type == 0x07 for normal video */
/* Above two lines added 6-Apr-87 MAF */

#define	CLEARSCREEN	"\033[2J"/* <ESC>[2J	 */
#define MOVECURSOR	"\033["	/* <ESC>[%+;%+f	 */
#define CLEARTOEOL	"\033[K"/* <ESC>[K	 */
#define STANDOUT	"\033[7m"/* <ESC>[7m	 */
#define STANDEND	"\033[0m"/* <ESC>[0m	 */
#else
#ifdef h19
#define print(x)	printf(x)
#define io_printw(f,a)	if (!start_up) printf(f,a)
#define	CLEARSCREEN	"\033E"	/* <ESC>E	 */
#define MOVECURSOR	"\033Y"	/* <ESC>Y%+ %+	 */
#define CLEARTOEOL	"\033K"	/* <ESC>K	 */
#define STANDOUT	"\033p"	/* <ESC>p	 */
#define STANDEND	"\033q"	/* <ESC>q	 */
#else
#define CURSES 1
#define io_printw(f,a)	if (!start_up) printw(f,a)
#endif
#endif

//(ba) **************************************************
void io_initscr();       // initialize the terminal routines.  Must be called
                         // before any other screen i/o is used.
void io_endwin();        // reset the terminal to the state it was in before
                         // calling io_initscr().
void io_clear();         // io_clear the screen.
void io_clrtoeol();      // io_clear from the current position to the end of line.
void io_move(int line, int col);
                         // io_move the current position to line,col.
void io_standout();      // do all further printing in reverse video.
void io_standend();      // do all further printing in standard video.
void io_refresh();
char io_inch();
#ifdef MSDOS
void newprint(char xx[]);
#endif

//io_printw(int fmt, int arg);// print at the current screen position using standard printf formating.
//These must always be a format and a single argument.
//(ba)***************************************************
